FreeMat

- Main Page
- Related Pages

vtkAlgorithmOutput

Section: Visualization Toolkit Filtering Classes

# Usage

vtkAlgorithmOutput is a proxy object returned by the GetOutputPort method of vtkAlgorithm. It may be passed to the SetInputConnection, AddInputConnection, or RemoveInputConnection methods of another vtkAlgorithm to establish a connection between an output and input port. The connection is not stored in the proxy object: it is simply a convenience for creating or removing connections.

To create an instance of class vtkAlgorithmOutput, simply invoke its constructor as follows

      obj = vtkAlgorithmOutput

# Methods

The class vtkAlgorithmOutput has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkAlgorithmOutput class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkAlgorithmOutput = obj.NewInstance ()`
- `vtkAlgorithmOutput = obj.SafeDownCast (vtkObject o)`
- `obj.SetIndex (int index)`
- `int = obj.GetIndex ()`
- `vtkAlgorithm = obj.GetProducer ()`
- `obj.SetProducer (vtkAlgorithm producer)`